version: '3'

services:
  n8n:
    image: n8nio/n8n
    restart: unless-stopped
    ports:
      - "5678:5678"
    environment:
      - N8N_BASIC_AUTH_ACTIVE=true
      - N8N_BASIC_AUTH_USER=creativus
      - N8N_BASIC_AUTH_PASSWORD=lokk0664
      - N8N_HOST=http://162.240.174.3:5678
      - N8N_PORT=5678
      - WEBHOOK_URL=http://162.240.174.3:5678
      - VUE_APP_URL_BASE_API=http://162.240.174.3:5678
      - N8N_SECURE_COOKIE=false
    volumes:
      - ~/.n8n:/home/node/.n8n
